# ########################################################
# non latin symbols shouldn't be in first 256 byte block #
# ########################################################

%define dict_name		slovnyk_en-be
%define dict_file		en_US-be_BY
%define dict_eng_name		English-Belorussian
%define dict_rus_name		-


Name: stardict-%dict_name
Version: 0.1
Release: alt5

Summary: Dictionary: Slovnyk %dict_eng_name
Summary(ru_RU.KOI8-R): :  %dict_rus_name
License: GPL
Group: Text tools
Requires: stardict >= 2.4.2
Url: http://www.slovnyk.org.ua/prg/solomkov/gszotar/index.html
BuildArchitectures: noarch

Source0: http://www.slovnyk.org.ua/prg/solomkov/gszotar/arc/win1251/%dict_file.dict.win1251.zip
Source1: slovnyk2stardict.sh

# Automatically added by buildreq on Wed Nov 26 2003
BuildRequires: XFree86-libs XFree86-locales dict-tools esound fontconfig freetype2 glib2 gnome-vfs2 libGConf2 libIDL libORBit2 libart_lgpl libatk libaudiofile libbonobo2 libbonoboui libexpat libgnome libgnomecanvas libgnomeui libgtk+2 libjpeg libltdl libpango libssl libxml2 stardict-tools unzip

%description
Dictionary: Slovnyk %dict_eng_name

%description -l ru_RU.KOI8-R
  %dict_rus_name

%prep
%setup -q -c

%build
install -p -m755 -D %SOURCE1 slovnyk2stardict.sh
./slovnyk2stardict.sh %dict_file.dict.win1251 %dict_name
gzip %dict_name.idx
dictzip %dict_name.dict

%install

install -p -m644 -D %dict_name.dict.dz $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.dict.dz
install -p -m644 -D %dict_name.idx.gz $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.idx.gz
install -p -m644 -D %dict_name.ifo $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.ifo

%files
%_datadir/stardict/dic/*

%changelog
* Wed Nov 26 2003 Alex Murygin <murygin@altlinux.ru> 0.1-alt5
- new format
- minor spec cleaning
- urls changed

* Wed Oct 15 2003 Alex Murygin <murygin@altlinux.ru> 0.1-alt4
- commpress dictionaries

* Sat Sep 20 2003 Alex Murygin <murygin@altlinux.ru> 0.1-alt3
- fixed buildreq
- spec cleaning

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 0.1-alt2
- new stardict format

* Tue May 06 2003 Alex Murygin <murygin@altlinux.ru> 0.1-alt1
- initial build

